MCP Tools Reference: cloudsupport.googleapis.com

Tool: get_comment

Retrieve the specified Comment. Use this tool to fetch a single comment by its full resource name. The comment name must be provided in the format: projects/{project}/cases/{case}/comments/{comment}.

The following sample demonstrate how to use curl to invoke the get_comment MCP tool.

Curl Request
                  
curl --location 'https://cloudsupport.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_comment",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The request message for the GetComment endpoint.

GetCommentRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the comment to retrieve.

Output Schema

The response message for the GetComment endpoint.

GetCommentResponse

JSON representation
{
  "comment": {
    object (Comment)
  }
}
Fields
comment

object (Comment)

The support comment.

Comment

JSON representation
{
  "name": string,
  "createTime": string,
  "creatorDisplayName": string,
  "creatorUsername": string,
  "creatorGoogleSupport": boolean,
  "body": string
}
Fields
name

string

Output only. Identifier. The resource name of the comment.

createTime

string (Timestamp format)

Output only. The time when the comment was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

creatorDisplayName

string

Output only. The display name of the comment creator. If not provided, it is inferred from credentials supplied during creation.

This will be obfuscated if the user is a Google Support agent.

creatorUsername

string

Output only. The username of the comment creator. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a creatorDisplayName is provided, a creatorUsername must also be provided. If the user is a Google Support agent, this will not be set.

creatorGoogleSupport

boolean

Output only. Whether the creator is a Google support actor.

body

string

The full comment body.

Maximum of 12800 characters.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌